package net.wanji.web.service.scheme.impl;

import net.wanji.web.common.exception.WeekException;
import net.wanji.web.dto.RunningPlanDTO;
import net.wanji.web.service.scheme.RunningPlanService;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/1/28 16:41
 */
@Service
public class RunningPlanServiceImpl implements RunningPlanService {
    @Override
    public void saveRunningPlan(RunningPlanDTO runningPlanDTO) {
        // 验证特殊日期
        List<RunningPlanDTO.SchedulesPlanListElement> schedulesPlanList = runningPlanDTO.getSchedulesPlanList();
        for (RunningPlanDTO.SchedulesPlanListElement schedulesPlan : schedulesPlanList) {
            List<Integer> week = schedulesPlan.getWeek();
            Date specialDate = schedulesPlan.getSpecialDate();
            if (week != null && week.size() > 0 && specialDate != null) {
                throw new WeekException("不能同时有星期选择和日期选择");
            }
        }
        // todo
        // 保存计划数据
        // 更新计划表获取计划ID
        // 根据路口ID和方案名获取方案ID
        // 更新时段表

        // 保存调度数据
        // 更新调度表获取调度ID
        // 根据路口ID和计划名获取计划ID
        // 更新调度计划关系表
    }
}
